petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscSpaceGetDimension

Return the dimension of this space, i.e. the number of basis vectors

### Synopsis

    #include "petscfe.h"
    PetscErrorCode PetscSpaceGetDimension(PetscSpace sp, PetscInt *dim)

### Input Parameter

sp -The PetscSpace

### Output Parameter

dim -The dimension

### See Also

PetscSpaceGetDegree(), PetscSpaceCreate(), PetscSpace

### Level

intermediate

### Location

src/dm/dt/space/interface/space.c

### Implementations

PetscSpaceGetDimension_Point in src/dm/dt/space/impls/point/spacepoint.c
PetscSpaceGetDimension_Polynomial in src/dm/dt/space/impls/poly/spacepoly.c
PetscSpaceGetDimension_Subspace in src/dm/dt/space/impls/subspace/spacesubspace.c
PetscSpaceGetDimension_Tensor in src/dm/dt/space/impls/tensor/spacetensor.c
Index of all SPACE routines
Table of Contents for all manual pages
Index of all manual pages